Subject: bug#12258: 24.2.50; OS X dialog box locks emacs

From: Ivan Andrus <[email-masked]>
Date: Thu, 23 Aug 2012 23:21:52 +0200

On Aug 23, 2012, at 6:50 PM, Jan Djärv wrote:

> Hello.
> 
> 22 aug 2012 kl. 15:11 skrev Ivan Andrus:
> 
>> Starting from emacs -Q, evaluating the following causes a dialog to
>> appear.  It is impossible to dismiss the dialog and impossible to
>> interact with the rest of emacs. 
>> 
>> (let ((last-nonmenu-event nil)
>>     (use-dialog-box t))
>> (y-or-n-p "Cache preamble? "))
>> 
>> It should be noted that I found this when I clicked on the
>> preview-at-point toolbar button in AUCTeX, so artificially setting
>> last-nonmenu-event seems justifiable.
> 
> I can't reproduce this, either on 10.7 or 10.8.  I tried about 50 times...
> Does it happen always?

Yes.  I'm on a fairly modified 10.6, so it may be that I have something strange on my system.

It doesn't really bother me, since I have set use-dialog-box to nil.  The bug that really bothers me is 12245. :-)

I have tried tracking it down a bit and it gets stuck in nsmenu.m line 1784:

ret = [NSApp runModalForWindow: self];

I can print out the value of self etc. if you think it would help.  But if nobody else can reproduce this perhaps it's better just to ignore it.

-Ivan